" GVimRC for Anjuta
"

" Load the default gvimrc
source ~/.gvimrc 
source $XDG_CONFIG_HOME/anjuta/gvim/anjuta.vimrc 
set guioptions-=i
set guioptions-=m
set guioptions-=T
set guioptions+=c

" Do NOT change the following. Failing to heed this 
" advice can and will screw up the Anjuta Vim plugin

pyfile /usr/share/anjuta/gvim/vim-dbus.py
source /usr/share/anjuta/gvim/anjuta-gvim.vim

" Define the markers
sign define anjuta-linemark icon=/usr/share/anjuta/gvim/anjuta-linemark-16.png
sign define anjuta-breakpoint-enabled icon=/usr/share/anjuta/gvim/anjuta-breakpoint-enabled-16.png
sign define anjuta-breakpoint-disabled icon=/usr/share/anjuta/gvim/anjuta-breakpoint-disabled-16.png
sign define anjuta-pcmark icon=/usr/share/anjuta/gvim/anjuta-pcmark-16.png
sign define anjuta-bookmark icon=/usr/share/anjuta/gvim/anjuta-bookmark-16.png

" Setup up autocommands to fire DBus signals
augroup Anjuta
    au!
    au BufNewFile   *   call AnjutaSignalBufNewFile(str2nr(expand('<abuf>')))
    au BufRead      *   call AnjutaSignalBufRead(str2nr(expand('<abuf>')), expand('<afile>:p'))
    au BufWrite     *   call AnjutaSignalBufWrite(str2nr(expand('<abuf>')), expand('<afile>:p'))

    au BufAdd       *   call AnjutaSignalBufAdd(str2nr(expand('<abuf>')), expand('<afile>:p'))
    au BufDelete    *   call AnjutaSignalBufDelete(str2nr(expand('<abuf>')))
    au BufFilePre   *   call AnjutaSignalBufFilePost(str2nr(expand('<abuf>')), expand('<afile>:p'))

    au BufEnter     *   call AnjutaSignalBufEnter(str2nr(expand('<abuf>')), expand('<afile>:p'))
    au BufLeave     *   call AnjutaSignalBufLeave(str2nr(expand('<abuf>')))

    au VimLeave     *   call AnjutaSignalVimLeave()

    au MenuPopup    *   call AnjutaSignalMenuPopup(expand('<abuf>'))

	au FileType	*	call AnjutaSignalFileType(expand('<abuf>'), expand('<amatch>'))

	au InsertLeave	*	call AnjutaSignalInsertLeave(expand('<abuf>'))
	au CursorHold,CursorHoldI	*	call AnjutaSignalCursorHold(expand('<abuf>'), expand ('<cword>'))

augroup END

